Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511039 - [modularity] error msg doesn't say what profile is missing
Summary: [modularity] error msg doesn't say what profile is missing
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 28
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Martin Hatina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1478068 ModularServer27GA
TreeView+ depends on / blocked
 
Reported: 2017-11-08 15:19 UTC by Irina Gulina
Modified: 2018-03-13 08:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-13 08:04:43 UTC


Attachments (Terms of Use)

Description Irina Gulina 2017-11-08 15:19:33 UTC
Description of problem:
The following error message on `docker run --rm -it jamesantill/boltron-27 dnf module install python3-ecosystem` doesn't say what profile is missing: 
Error: No such profile: python3-ecosystem:master:20171011080225

In [1] Stephen Gallagher said: "The error message for the missing profile doesn't say which profile was requested (which would be obvious if the user had supplied it themselves, but if it's a bad default, we should indicate that clearly so it's easy for the user to identify the source of the problem). This will also result in bug reports if we ever accidentally or intentionally get out of sync between defaults and available profiles."

[1] Bug 1503030 comment 6

Comment 1 Martin Hatina 2017-11-09 08:26:31 UTC
Fixed by https://github.com/rpm-software-management/dnf/pull/976

Comment 2 Stephen Gallagher 2017-11-20 21:12:22 UTC
Fixed by dnf-2.7.5-1.module_be8b6f4c.modularity.1.c5b0496.noarch which is included in compose Fedora-Modular-27-20171120.n.3

Comment 3 Fedora End Of Life 2018-02-20 15:35:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.


Note You need to log in before you can comment on or make changes to this bug.